Alpine: unsatisfiable constraints

I am trying to install a package in alpine, in this case I specify ‘jasper-dev’, but it has happened to me with many others. The output I get in the terminal is:

/ # apk add jasper-dev
ERROR: unsatisfiable constraints:
   jasper-dev (missing):
     required by: world [jasper-dev]

However when I search for the package at https://pkgs.alpinelinux.org/, the package appears.
enter image description here

This is my Dockerfile.

FROM python:3.7-alpine
RUN echo "@testing http://dl-cdn.alpinelinux.org/alpine/edge/testing" >> /etc/apk/repositories

RUN apk --update --no-cache add py3-numpy [email protected] 
      build-base 
      openblas-dev 
      unzip 
      wget 
      cmake 
      ca-certificates 
      libjpeg  
      libjpeg-turbo-dev 
      libpng-dev 
      jasper-dev 
      tiff-dev 
      libwebp-dev 
      clang-dev 
      linux-headers

How can I install this package?

Source: StackOverflow